RequestContextTag (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.web.taglib

## [Java] Class RequestContextTag

- org.codehaus.groovy.grails.web.taglib.RequestContextTag

- All Implemented Interfaces and Traits:
    GrailsTag

      public abstract class RequestContextTag
      extends java.lang.Object

  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected org.springframework.web.context.WebApplicationContext` | `applicationContext` |
    `protected java.util.Map` | `attributes` |
    `protected org.springframework.beans.BeanWrapper` | `bean` |
    `protected java.lang.String` | `contextPath` |
    `protected GrailsApplication` | `grailsApplication` |
    `protected java.io.Writer` | `out` |
    `protected GrailsTagRegistry` | `registry` |
    `protected javax.servlet.ServletRequest` | `request` |
    `protected javax.servlet.ServletResponse` | `response` |
    `protected javax.servlet.ServletContext` | `servletContext` |
    `protected org.springframework.web.util.UrlPathHelper` | `urlPathHelper` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `protected RequestContextTag (java.lang.String name)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `doEndTag()`
    `protected void` | `doEndTagInternal()`
    `void` | `doStartTag()`
    `protected void` | `doStartTagInternal()`
    `java.lang.String` | `getName()`
    `GrailsTagRegistry` | `getRegistry()`
    `void` | `init(java.util.Map context)`
    `void` | `setAttribute(java.lang.String name, java.lang.Object value)`
    `void` | `setAttributes(java.util.Map attributes)`
    `void` | `setWriter(java.io.Writer w)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected org.springframework.web.context.WebApplicationContext applicationContext

    - #### @java.lang.SuppressWarnings("rawtypes") protected java.util.Map attributes

    - #### protected org.springframework.beans.BeanWrapper bean

    - #### protected java.lang.String contextPath

    - #### protected GrailsApplication grailsApplication

    - #### protected java.io.Writer out

    - #### protected GrailsTagRegistry registry

    - #### protected javax.servlet.ServletRequest request

    - #### protected javax.servlet.ServletResponse response

    - #### protected javax.servlet.ServletContext servletContext

    - #### protected org.springframework.web.util.UrlPathHelper urlPathHelper

  - ### Constructor Detail

    - #### protected RequestContextTag(java.lang.String name)

  - ### Method Detail

    - #### public final void doEndTag()

    - #### protected void doEndTagInternal()

    - #### public final void doStartTag()

    - #### protected void doStartTagInternal()

    - #### public java.lang.String getName()

    - #### public GrailsTagRegistry getRegistry()

    - #### @java.lang.SuppressWarnings("rawtypes") public void init(java.util.Map context)

    - #### @java.lang.SuppressWarnings("unchecked") public void setAttribute(java.lang.String name, java.lang.Object value)

    - #### @java.lang.SuppressWarnings("rawtypes") public void setAttributes(java.util.Map attributes)

    - #### public void setWriter(java.io.Writer w)